package com.bocloud.nms.model.veeam.job;

public class BackupIndexingSettingsModel {

    private VmwareObjectModel vmObject;
    private BackupObjectIndexingModel WindowsIndexing;
    private BackupObjectIndexingModel LinuxIndexing;

    public VmwareObjectModel getVmObject() {
        return vmObject;
    }

    public void setVmObject(VmwareObjectModel vmObject) {
        this.vmObject = vmObject;
    }

    public BackupObjectIndexingModel getWindowsIndexing() {
        return WindowsIndexing;
    }

    public void setWindowsIndexing(BackupObjectIndexingModel windowsIndexing) {
        WindowsIndexing = windowsIndexing;
    }

    public BackupObjectIndexingModel getLinuxIndexing() {
        return LinuxIndexing;
    }

    public void setLinuxIndexing(BackupObjectIndexingModel linuxIndexing) {
        LinuxIndexing = linuxIndexing;
    }

    @Override public String toString() {
        return "BackupIndexingSettingsModel{" + "vmObject=" + vmObject + ", WindowsIndexing=" + WindowsIndexing
            + ", LinuxIndexing=" + LinuxIndexing + '}';
    }
}
